.\" $NetBSD: irframetty.4,v 1.5 2004/05/11 22:42:47 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 3, 2001
.Dt IRFRAMETTY 4
.Os
.Sh NAME
.Nm irframetty
.Nd IrDA frame over serial line driver
.Sh SYNOPSIS
.Cd "pseudo-device irframetty"
.Pp
.In dev/irdaio.h
.Sh DESCRIPTION
The
.Nm
driver provides a
.Xr tty 4
line discipline to send and receive IrDA frames over a serial line
via an IrDA dongle.
.Pp
Access to the frames is via the
.Xr irframe 4
driver.
.Pp
Different dongles require different handling.
The connected dongle type can be set with
.Xr ioctl 2
calls:
.Bl -tag -width xxxxxx
.It Dv IRFRAMETTY_SET_DONGLE Fa (int)
Set the dongle type.  See the include file for possible dongles.
.It Dv IRFRAMETTY_GET_DONGLE Fa (int)
Get the dongle type.
.It Dv IRFRAMETTY_GET_DEVICE Fa (int)
Get the number of the
.Xr irframe 4
device that must be used to access the frames.
.El
.Sh SEE ALSO
.Xr irframe 4 ,
.Xr irdaattach 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
